package com.persagy.proxy.object.service;

import com.persagy.dmp.basic.model.QueryCriteria;
import com.persagy.proxy.adm.service.IAdmBaseService;
import com.persagy.proxy.common.entity.InstanceUrlParam;
import com.persagy.proxy.object.model.AdmSystem;

import java.util.List;

/**
 * ADM 系统 接口
 * @author lvxy
 * @date 2021/8/18
 */
public interface IAdmSystemService extends IAdmBaseService<AdmSystem> {

    /**
     * 补充系统分类名称属性
     * @param context
     * @param vos
     */
    void ensureSpecialValues(InstanceUrlParam context, List<AdmSystem> vos);
    /***
     * Description: 子类重写,以便处理带buildingId
     * @param dmpRequest : 中台查询参数
     * @return : void
     */
    void processDmpCriteria(QueryCriteria dmpRequest);
}
